Bug 3803 - logo contest output needed
logo contest output needed
Status: RESOLVED FIXED
Product: Spamassassin
Classification: Unclassified
Component: Building & Packaging
unspecified
Other other
: P2 normal
: 3.0.0
Assigned To: SpamAssassin Developer Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-09-22 19:38 UTC by Daniel Quinlan
Modified: 2005-04-02 16:17 UTC (History)
2 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status
SpamAssassin Logo 2004 Source (Illustrator) application/postscript None Christian Rauh [HasCLA]
SpamAssassin Logo (white bg) image/png None Christian Rauh [HasCLA]
SpamAssassin Logo (transparent bg) image/png None Christian Rauh [HasCLA]
SpamAssassin Web Button 1.0a image/gif None Christian Rauh [HasCLA]
SpamAssassin Web Button 1.0b image/gif None Christian Rauh [HasCLA]
SpamAssassin Logo (transparent bg and transparent envelope borders) image/png None Christian Rauh [HasCLA]
SpamAssassin Logo Source (transparent bg and transparent envelope borders) application/postscript None Christian Rauh [HasCLA]
svg logo with gradient fletching image/svg+xml None Rodent of Unusual Size [NoCLA]
current all-transparent logo, on a dark bg (demo) image/png None Justin Mason [HasCLA]
what I was thinking of (demo) image/png None Justin Mason [HasCLA]
SpamAssassin Logo 2004 Source (Illustrator) application/postscript None Christian Rauh [HasCLA]
SpamAssassin Logo 2004 Source (SVG) image/svg+xml None Christian Rauh [HasCLA]
SpamAssassin Logo 2004 (transparent bg with white borders) image/png None Christian Rauh [HasCLA]
SpamAssassin Bar image/png None Christian Rauh [HasCLA]
Alternate fletching from Illustrator 10.0 image/png None Rodent of Unusual Size [NoCLA]
SpamAssassin Logo 2004 (PNG Ultra-Res) image/png None Christian Rauh [HasCLA]
SpamAssassin Logo 2004 - Illustrator Legacy Version (should work with older versions) application/postscript None Christian Rauh [HasCLA]
Apache SpamAssassin Bar 0.1 image/png None Christian Rauh [HasCLA]
Apache SpamAssassin Logo 2005 0.1 image/png None Christian Rauh [HasCLA]
Apache SpamAssassin Bar 0.2 image/png None Christian Rauh [HasCLA]
Apache SpamAssassin Logo 2005 0.2 image/png None Christian Rauh [HasCLA]

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Quinlan 2004-09-22 19:38:09 UTC
A few things needed:

 - a button-size logo (not sure what sizes are standard)
 - a logo with transparent white background
   (maybe one with all white transparent and maybe another with all
    white except for the envelope linings transparent)
 - source file(s) for the logo(s)
   * native format (Illustrator?)
   * SVG for vector images or another scalable vector format

I'd also propose an experiment for bugzilla:

 - a wide and thin banner like on bugzilla.mozilla.org with the
   SpamAssassin text to the right, maybe with the orange extended?
Comment 1 Daniel Quinlan 2004-09-26 13:08:18 UTC
Priorities are probably:

1. the source files
2. the button-size logo / the transparent background logo
3. the experiment
Comment 2 Christian Rauh 2004-10-02 11:31:48 UTC
Created attachment 2406 [details]
SpamAssassin Logo 2004 Source (Illustrator)

Source file for the new SpamAssassin Logo.
Comment 3 Christian Rauh 2004-10-02 11:44:54 UTC
Created attachment 2407 [details]
SpamAssassin Logo (white bg)

SpamAssassin Logo 2004 on white background.
Comment 4 Christian Rauh 2004-10-02 11:45:53 UTC
Created attachment 2408 [details]
SpamAssassin Logo (transparent bg)

SpamAssassin Logo (transparent bg)
Comment 5 Christian Rauh 2004-10-09 11:23:50 UTC
Created attachment 2435 [details]
SpamAssassin Web Button 1.0a
Comment 6 Christian Rauh 2004-10-09 11:24:23 UTC
Created attachment 2436 [details]
SpamAssassin Web Button 1.0b
Comment 7 Christian Rauh 2004-10-09 11:29:13 UTC
I just uploaded two web buttons for SpamAssassin. I don't know it those would
work because I remember from the logo design that SpamAssassin is one word, but
after many tries I could not come up with a decent design where both the logo
and SpamAssassin would fit in a small web button. So I divided the word. 

Anyway, I wanted to at least have something uploaded that could be used right
now since it was taking too long.

Christian
Comment 8 Christian Rauh 2004-10-09 11:53:40 UTC
Created attachment 2437 [details]
SpamAssassin Logo (transparent bg and transparent envelope borders)
Comment 9 Christian Rauh 2004-10-09 11:54:26 UTC
Created attachment 2438 [details]
SpamAssassin Logo Source (transparent bg and transparent envelope borders)
Comment 10 Rodent of Unusual Size 2004-10-14 04:32:07 UTC
unfortunately, when i load the illustrator file, the feathers on the tail of the
arrow are invisible.  i don't know enough about illustrator to make them
visible, and they don't appear to be visible by default.  they need to be..
Comment 11 Rodent of Unusual Size 2004-10-14 05:21:18 UTC
Created attachment 2450 [details]
svg logo with gradient fletching

this is my lame attempt to add an apache colour gradient to the fletching.
Comment 12 Justin Mason 2004-10-14 09:59:35 UTC
btw, Daniel -- any reason why you were looking for a 'logo with all white
transparent'? 

are you sure you weren't thinking of a logo with transparent background, but
with a white border around the logo with thickness of the envelope borders,
which would strike me as more useful? ;)

I've attached a demo of what the current "all transparent" logo looks like on a
dark background, and a demo of what I was thinking of, on a similar background.
Comment 13 Justin Mason 2004-10-14 10:00:14 UTC
Created attachment 2451 [details]
current all-transparent logo, on a dark bg (demo)
Comment 14 Justin Mason 2004-10-14 10:00:36 UTC
Created attachment 2452 [details]
what I was thinking of (demo)
Comment 15 Christian Rauh 2004-10-17 12:36:51 UTC
Created attachment 2457 [details]
SpamAssassin Logo 2004 Source (Illustrator)

Added a white border outside the orange background.
Comment 16 Christian Rauh 2004-10-17 12:38:09 UTC
Created attachment 2458 [details]
SpamAssassin Logo 2004 Source (SVG)
Comment 17 Christian Rauh 2004-10-17 12:40:30 UTC
Created attachment 2459 [details]
SpamAssassin Logo 2004 (transparent bg with white borders)

jpeg version of the logo with a white border surrounding the envelopes and the
orange backdrop
Comment 18 Christian Rauh 2004-10-17 12:41:47 UTC
Created attachment 2460 [details]
SpamAssassin Bar

A bar to be used on top of webpages.
Comment 19 Christian Rauh 2004-10-17 12:45:55 UTC
A few comments:

1 - The gradient on the arrows may only work on Illustrator versions that handle
meshes. I uploaded an SVG version that may work on other software.

2 - Following Justin's suggestion I uploaded a logo version that has a white
border around the orange backdrop.

3 - I also uploaded an experiment for a possible spamassassin bar to be used on
top of web pages. 

4 - Any feedback on the web buttons?
Comment 20 Loren Wilton 2004-10-17 15:19:43 UTC
> 4 - Any feedback on the web buttons?

As a non-voting vote, I prefer 1.0a over 1.0b.  I'm not quite sure why, but I 
think it has something to do with the yellow (or so it appears here without 
magnifying it) in the corner.

Also, I think the transparent bg with white borders that Justin suggested is a 
good idea.  I'm wondering though if it might not be a good idea to also put a 
*thin* white border around the text.  Perhaps something on the order of 1/4 the 
width of the letter border.  As it is, the text can smudge in pretty badly on 
some backgrounds.

I don't know that I would delete the current version though; obviously on some 
backgrounds the non-border text will be perfectly fine, and a white border 
might be objectionable.
Comment 21 Justin Mason 2004-10-17 23:01:54 UTC
thanks Christian! 

I think I'm pro-1.0a over 1.0b as well, FWIW.

ps: I really like that border!
Comment 22 Rodent of Unusual Size 2004-10-24 07:25:53 UTC
Created attachment 2481 [details]
Alternate fletching from Illustrator 10.0

Here's a PNG representation of the SVG I submitted as a possible alternative --
since I can't get the Illustrator 11.0-created fletching to show up in
Illustrator 10.0.  I offer it to the SpamAssassin project as an additional
alternative, if they like it.
Comment 23 Christian Rauh 2004-10-25 07:27:13 UTC
Created attachment 2484 [details]
SpamAssassin Logo 2004 (PNG Ultra-Res)

Since people seem to be having problems with the Illustrator version, here is
an ultra resolution version of the logo in PNG format. 

If you want to use the illustrator file but your software won't render the
arrow, you can use the arrow from this file as a workaround.
Comment 24 Justin Mason 2004-10-25 09:22:57 UTC
thanks Christian -- I've been having all sorts of trouble getting a linux app to
display SVG so that PNG is very handy ;)
Comment 25 Christian Rauh 2004-11-07 11:01:36 UTC
Created attachment 2510 [details]
SpamAssassin Logo 2004 - Illustrator Legacy Version (should work with older versions)
Comment 26 Justin Mason 2004-11-10 12:48:05 UTC
btw, I'm adding these to spamassassin.apache.org now at
http://spamassassin.apache.org/logo/, since I keep losing this bug when I need
to find the logo sources...
Comment 27 Christian Rauh 2004-11-10 13:35:59 UTC
I would suggest having a page with the "official" logo and web buttons for
people to use somewhere and keep the bug tracker for tests and things being
changed/created/developed. Maybe that's the
<http://spamassassin.apache.org/logo/> page, I just can't reach it.

2 cents.
Comment 28 Justin Mason 2004-11-10 14:16:54 UTC
Subject: Re:  logo contest output needed 

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


> I would suggest having a page with the "official" logo and web buttons for
> people to use somewhere and keep the bug tracker for tests and things being
> changed/created/developed. Maybe that's the
> <http://spamassassin.apache.org/logo/> page, I just can't reach it.

yeah, that's the idea -- however I forgot to update the webserver ;)

- --j.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Exmh CVS

iD8DBQFBkqFDMJF5cimLx9ARAkSNAJ0TzVFm9zE/76mskXQ4irELYkgCRgCfWN4o
nDzTdyefIiqB1LHRKYwGD9I=
=bA/4
-----END PGP SIGNATURE-----

Comment 29 Daniel Quinlan 2005-01-19 16:23:11 UTC
Christian, we like the "SpamAssassin Bar" logo -- any chance of getting
that logo with the words "Apache SpamAssassin" instead of just "SpamAssassin"?

We should also take a shot at the main logo with "Apache" added in.  I
seem to recall that was harder, so maybe we should focus on the bar logo
first.
Comment 30 Christian Rauh 2005-01-29 18:41:47 UTC
Created attachment 2635 [details]
Apache SpamAssassin Bar 0.1
Comment 31 Christian Rauh 2005-01-29 18:43:28 UTC
Created attachment 2636 [details]
Apache SpamAssassin Logo 2005 0.1
Comment 32 Christian Rauh 2005-01-29 18:48:15 UTC
Here are new versions of the bar and the logo. The bar looks good and aside
color issues I think it is a good candidate for use. For the logo, however, I
haven't found a solution for adding the Apache word. This version is pretty much
a quick fix in case there is urgent need to start using the Apache name
prefixed. I need more time on it to come up with something, although the
prospects don't look too good because of the proportion of the logo to the (very
long) new name. 

Suggestions are greatly appreciated!

Christian
Comment 33 Daniel Quinlan 2005-01-29 19:35:49 UTC
Subject: Re:  logo contest output needed

Thanks!

Bar logo:

 - I really like the background shading on the left half of the logo
 - I like the position of the text
 - the background shading seems to be broken into three regions and the
   transitions are not entirely smooth -- more obvious in this bar version
   than the one in use on http://bugzilla.spamassassin.org/
 - "Spam" is much too dark relative to the "Apache" and to a lesser
   extent the "Assassin".  I think the logo text needs to be a bit more
   even somehow.

Main logo:

 - yeah, I agree it looks wrong
 - just an off-the-wall idea...

                     Apache
   +----------------------+
   |                      |
   |                      |
   |                      |
   |                      |
   |                      |
   |                      |
   +----------------------+
               SpamAssassin

Comment 34 Christian Rauh 2005-02-06 09:53:45 UTC
Created attachment 2641 [details]
Apache SpamAssassin Bar 0.2

Here is a new draft of the bar addressing some of the concerns raised:

1 - The problem with the bg shading is with the colors when I save it as png. I
changed the gradient a little to see if it helps. In my monitor it looks smooth
but then, the other looks ok as well. Please check.

2 - Changed the colors of Apache and added a bullet to try to get things more
tight. I don't want to change the colors of SpamAssassin because those were the
colors that we chose for the logo, after a long process. Those should stay like
that. So Apache got a little darker, grayer. 

3 - I changed the font rendering so it is probably a little sharper now. I
think that helped a litte and I reduced the size of the letters.

What about this version?
Comment 35 Christian Rauh 2005-02-06 10:10:28 UTC
Created attachment 2642 [details]
Apache SpamAssassin Logo 2005 0.2

I tried the sugestion, what do you think? Not perfect, but usable I would say.
The only way to fit the Apache word perfectly would be to redesign the logo in
some way. Probably to expand its horizontal size.

A question: does the word Apache needs to be the same size as SpamAssassin?
Comment 36 Loren Wilton 2005-02-07 00:53:28 UTC
Subject: Re:  logo contest output needed

> I tried the sugestion, what do you think? Not perfect, but usable I would
say.
> The only way to fit the Apache word perfectly would be to redesign the
logo in
> some way. Probably to expand its horizontal size.

I thought about this a bit the other day.  The easiest modification that
would make a little more room there for Apache would be to drop the second
envelope down a little bit.  This would result in it extending slightly down
into the SA text area, but I think you could probably find an acceptable
compromise where it doesn't run into the SA logo, but gives you another half
a letter space or so on the top.  That would probably be enough to get the
Apache into the same font size.

I don't *think* that dropping the middle envelope will really change the
feel of the logo much at all, but I didn't have the tools available to try a
hack and see what it would look like.

For reference, I'm suggesting dropping the bottom corner of the middle
envelope down to about the same level as the other two envelope's bottom
corners.

The other thing that occurs to me would be to perhaps put a little more
perspective on the center envelope, which would pull in the right edge
without moving the left edge.  This would also tilt the top and bottom lines
since you would be changing the perspective.  I don't know how that would
look, it might be ugly.

Alternately, make the center envelope slightly narrower.  Same as changing
the perspective except you would leave the top and bottom lines alone and
just bring in the right side.  Obviously you would have to fix the envelope
flap a little.  This might look a little better than trying to change the
perspective on the envelope.  However, either would give you a bit more
space for the Apache.

As a totally off the wall thing to try, you could rotate the Apache text 45
degrees ccw and paste it across the tail of the arrow, starting from about
the bottom of the color bar and a few points in from the arrow tip, and
aiming the baseline generally a little left of the top of the color bar. The
Apache will have to be in a smaller font than the SA logo line, but you
could probably take it up a couple of points from what you have now.

Comment 37 Daniel Quinlan 2005-04-03 01:17:22 UTC
I am closing this bug as fixed.

Christian, we may make future requests, but it seems silly and a bit unfair
to leave this bug open.  :-)

To close out comments for this, I kinda like the Apache SpamAssassin Logo 2005
0.2 and some non-SA Apache folks really liked it, but I think the bar needs some
work.  I like the original long bar, it's just that the blending is a little off
more than anything else, I think.

So, we might move the last standard logo into production at some point in
the near future, but we'll stick with the original long bar (as it is on
Bugzilla today).

Again, thanks for the awesome logo.